### Method

# WebKit2 NavigationPolicyDecision get_request

#### Declaration [src]

    WebKitURIRequest*
    webkit_navigation_policy_decision_get_request (
      WebKitNavigationPolicyDecision* decision
    )

#### Description [src]

Gets the value of the `WebKitNavigationPolicyDecision:request` property.

Deprecated since: | 2.6
Use `webkit_navigation_policy_decision_get_navigation_action()` instead.

Gets property | `WebKit2.NavigationPolicyDecision:request`

#### Return value

Returns: | `WebKitURIRequest`
| The URI request that is associated with this navigation.
| The data is owned by the instance.